> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gominerva.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List risk assessment workflows

> Lists active, draft, or archived workflows available to the authenticated application tenant. Tenant and workspace are derived from the application key.



## OpenAPI

````yaml /api-reference/risk-assessment-agents.json get /workflows
openapi: 3.0.0
info:
  title: Minerva Agent Risk Assessments API
  version: 0.1.0-beta
  description: >-
    Beta customer API for creating, running, steering, reviewing, and concluding
    agent-driven risk assessments.
servers:
  - url: https://api.gominerva.com/risk-assessments/v2
    description: Central Minerva API route for beta agent risk assessment endpoints
security:
  - ApplicationApiKeyAuth: []
tags:
  - name: Configuration
    description: Workflow, status, and scorecard discovery.
  - name: Assessments
    description: Assessment lifecycle endpoints.
  - name: Review And Collaboration
    description: Comments, tasks, notes, questions, and confirmations.
  - name: Relationships Canvas
    description: Relationship canvas read and write endpoints.
  - name: Agent Runtime
    description: Run, trajectory, command, input, steering, and resume endpoints.
paths:
  /workflows:
    get:
      tags:
        - Configuration
      summary: List risk assessment workflows
      description: >-
        Lists active, draft, or archived workflows available to the
        authenticated application tenant. Tenant and workspace are derived from
        the application key.
      operationId: listRiskAssessmentWorkflows
      parameters:
        - $ref: '#/components/parameters/WorkflowStatus'
        - $ref: '#/components/parameters/Search'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
      responses:
        '200':
          $ref: '#/components/responses/OkEnvelope'
        '401':
          $ref: '#/components/responses/ErrorEnvelope'
        '500':
          $ref: '#/components/responses/ErrorEnvelope'
components:
  parameters:
    WorkflowStatus:
      name: status
      in: query
      schema:
        type: string
        example: active,draft
      description: Comma-separated workflow statuses.
    Search:
      name: search
      in: query
      schema:
        type: string
      description: Case-insensitive search string.
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        default: 50
      description: Maximum records to return.
    Offset:
      name: offset
      in: query
      schema:
        type: integer
        default: 0
      description: Offset for page-style pagination.
  responses:
    OkEnvelope:
      description: OK
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Envelope'
    ErrorEnvelope:
      description: Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  schemas:
    Envelope:
      type: object
      properties:
        status:
          type: integer
          example: 200
        msg:
          type: string
          example: OK
        result:
          $ref: '#/components/schemas/GenericObject'
      required:
        - status
        - msg
        - result
    ErrorEnvelope:
      type: object
      properties:
        status:
          type: integer
          example: 400
        msg:
          type: string
          example: Bad Request
        error:
          type: string
      required:
        - status
        - msg
    GenericObject:
      type: object
      additionalProperties: true
  securitySchemes:
    ApplicationApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Use the format `Api-Key YOUR_API_KEY`.

````